Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# MovieVideo Class Reference

A MovieVideo is actually any source that provides a sequence of video frames. More...

Inheritance diagram for MovieVideo:

List of all members.

## Public Member Functions
| MovieVideo (string name)
| This constructor returns a null video stream --- a stream of plain blue and white frames that last one second each.
| MovieVideo ()
| This constructor returns a null video stream --- a stream of plain blue and white frames that last one second each.
Filename const | getFilename ()
| Returns the movie's filename.
SubfileInfo const | getSubfileInfo ()
| If the movie is to be loaded from a subfile on disk, this returns the subfile info.
MovieVideoCursor | open ()
| Open this video, returning a MovieVideoCursor of the appropriate type.
## Static Public Member Functions
static MovieVideo | get (Filename const name)
| Obtains a MovieVideo that references a file.
static TypeHandle | getClassType ()

## Detailed Description

A MovieVideo is actually any source that provides a sequence of video frames.

That could include an AVI file, a digital camera, or an internet TV station.

The difference between a MovieVideo and a MovieVideoCursor is like the difference between a filename and a file handle. The MovieVideo just indicates a particular movie. The MovieVideoCursor is what allows access.

## Constructor & Destructor Documentation

MovieVideo | ( | string | name | ) |

This constructor returns a null video stream --- a stream of plain blue and white frames that last one second each.

To get more interesting video, you need to construct a subclass of this class.

MovieVideo | ( |  | ) |

This constructor returns a null video stream --- a stream of plain blue and white frames that last one second each.

To get more interesting video, you need to construct a subclass of this class.

## Member Function Documentation

static MovieVideo get | ( | Filename const | name | ) | `[static]`

Obtains a MovieVideo that references a file.

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from Namable.

Reimplemented in FfmpegVideo, and InkblotVideo.

Filename const getFilename | ( |  | ) |

Returns the movie's filename.

A movie is not guaranteed to have a filename, if not, then this function returns an empty filename.

SubfileInfo const getSubfileInfo | ( |  | ) |

If the movie is to be loaded from a subfile on disk, this returns the subfile info.

Check info.is_empty() to see if this is valid data.

MovieVideoCursor open | ( |  | ) |

Open this video, returning a MovieVideoCursor of the appropriate type.

Returns NULL on error.

Reimplemented in FfmpegVideo, and InkblotVideo.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties